/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

module.exports = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  // tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],

  tutorialSidebar: [
    'intro',
    'installation',
    {
      type: 'category',
      label: 'Getting started',
      items: [{
        type: 'autogenerated',
        dirName: 'getting-started'
      }]
    },
    {
      type: 'category',
      label: 'Reference Manual',
      items: [{
        type: 'autogenerated',
        dirName: 'reference-manual'
      }]
    },
  ],
  apiSidebar: require('./generated/api-sidebar.json')
  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    {
      type: 'category',
      label: 'Tutorial',
      items: ['hello'],
    },
  ],
   */
};
